<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.enterpriseManagement.info.modular.emKnowledge.mapper.EmKnowledgeMapper">
    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT
        a.id,
        a.theme,
        a.category,
        DATE_FORMAT(a.publish_time,'%Y-%m-%d %T') as publishTime
        FROM
        biz_em_knowledge a
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
        ORDER BY a.create_time DESC
    </select>
</mapper>